defaults = {
    'apt': {
        'repos': {
            'matrix': {
                'items': {
                    'deb https://packages.matrix.org/debian buster main',
                },
            },
        },
        'packages': {
            'matrix-synapse-py3': {},
        },
    },
    'backups': {
        'paths': {
            '/var/lib/matrix-synapse',
        },
    },
    'icinga2_api': {
        'matrix-synapse': {
            'services': {
                'MATRIX-SYNAPSE HTTP ENDPOINT': {
                    'command_on_monitored_host': '/usr/local/share/icinga/plugins/check_http_url_for_string http://[::1]:20080/_matrix/static/ "Synapse is running"',
                },
                'MATRIX-SYNAPSE PROCESS': {
                    'command_on_monitored_host': '/usr/lib/nagios/plugins/check_procs -a synapse.app.homeserver -c 1:',
                    'vars.notification.sms': True,
                },
            },
        },
    },
    'matrix-synapse': {
        'registration_shared_secret': repo.vault.human_password_for('{} matrix-synapse registration_shared_secret'.format(node.name)),
        'database': {
            'user': 'synapse_user',
            'password': repo.vault.password_for('{} postgresql synapse_user'.format(node.name)),
            'database': 'synapse',
        },
        'appservice_configs': set(),
    },
    'postgresql': {
        'roles': {
            'synapse_user': {
                'password': repo.vault.password_for('{} postgresql synapse_user'.format(node.name)),
            },
        },
        'databases': {
            'synapse': {
                'owner': 'synapse_user',
                'when_creating': {
                    'collation': 'C',
                    'ctype': 'C',
                },
            },
        },
    }
}
