defaults = {
    'apt': {
        'packages': {
            'libvirt-clients': {},
            'libvirt-daemon-system': {},
            'netcat-openbsd': {}, # for virt-manager
            'qemu-utils': {},
            'qemu-system-x86': {},
        },
    },
    'icinga2_api': {
        'vmhost': {
            'services': {
                'LIBVIRT PROCESS': {
                    'command_on_monitored_host': '/usr/lib/nagios/plugins/check_procs -C libvirtd -c 1:',
                },
                'QEMU VM STATUS': {
                    'command_on_monitored_host': 'sudo /usr/local/share/icinga/plugins/check_vm_status',
                    'vars.notification.mail': True,
                },
            },
        },
    },
}

if node.os == 'debian' and node.os_version[0] < 11:
    defaults['apt']['packages']['qemu-kvm'] = {}

if node.has_bundle('zfs'):
    defaults['apt']['packages']['libvirt-daemon-driver-storage-zfs'] = {}

if node.has_bundle('nftables'):
    defaults['apt']['packages']['firewalld'] = {
        'needed_by': {
            'pkg_apt:libvirt-daemon-system',
        },
    }
